Page MenuHomePhabricator

RSS/Atom feeds
Closed, DeclinedPublic

Description

Upstream: https://secure.phabricator.com/T1928

Unlike mingle, I don't see RSS/Atom feeds anywhere to follow activity

RSS/Atom feeds are a crucial feature of a user-centric website: lack of them only suits a commercial website run on ads (as demonstrated by the centralising websites which removed the feeds to force users to see ads: LinkedIn, GoodReads, ...).

Details

Reference
fl126

Event Timeline

flimport raised the priority of this task from to Low.
flimport set Reference to fl126.

aklapper wrote on 2014-04-18 09:14:27 (UTC)

Upstreamed: https://secure.phabricator.com/T4825

aklapper wrote on 2014-04-18 13:58:24 (UTC)

Upstream comment in https://secure.phabricator.com/T4825 :

  • As a technology, RSS seems to be on the way out.
  • Based on talking with people who implemented RSS at Facebook, I'm worried this will take a lot of time to build/support (i.e., there will be a long tail of users complaining that their specific obscure RSS reader doesn't work).
  • Authentication is not trivial.
  • Overall, this is hard to prioritize because there's limited interest in it, the technology seems to be declining, and the implementation cost is unknown but possibly large.

Merged into https://secure.phabricator.com/T1928

Qgil lowered the priority of this task from Low to Lowest.Oct 22 2014, 9:02 PM
Qgil removed a project: Phabricator.
Qgil set Security to None.
Xelgen added a subscriber: Xelgen.Nov 3 2014, 10:59 AM

It would be more courteous if at least https://phabricator.wikimedia.org/feed/ wasn't named "feed" as it doesn't produce feeds.

It's still a news feed (like on Twitter or Facebook), just not technically a format like RSS or Atom that's also called a feed. :)

Qgil added a subscriber: Qgil.Dec 5 2014, 1:17 PM

I actually don't think that this task is so relevant for us as to wear the Wikimedia label upstream (see T1298). I just removed it.

RSS isn't dying. It's just mature. The upstream phabricator discussion pointed to a declining trend of searching for RSS, but that's not surprising given how stable it is. I and millions of others use it to aggregate hundreds of sporadically published sources in one place and check all of them off with a single click as read after a brief scan of headlines and snippets.

Email is for correspondence, not notifications. Do technically-savvy people really let themselves receive potentially dozens of automated emails every day? I can't imagine running an efficient Getting Things Done zero inbox policy like that.

potentially dozens of automated emails every day

Thousands, more likely.

But this isn't an email vs. RSS battle. For most things in phabricator, there are no emails either (at least currently). I've been thinking a while about it and the only available option I found so far is setting up a script on a server of mine which downloads an HTML search page in phabricator, hashes it, saves it locally and emails me when it varies; or saves the hash to a test wiki page, so that I can then follow the RSS feed of that page.

For most things in phabricator, there are no emails either (at least currently).

Could you elaborate?

Could you elaborate?

Isn't it a truism? We don't even have Herald enabled.

Nemo_bis updated the task description. (Show Details)Dec 18 2014, 7:55 AM
Aklapper updated the task description. (Show Details)Jan 7 2015, 3:09 PM
Qgil closed this task as Declined.Apr 8 2015, 11:16 AM
Qgil claimed this task.

Upstream has closed the related task as wontfix, see the explanation at https://secure.phabricator.com/T1928#103907

Resolving here accordingly.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:07 PM